Bug 962578 - [abrt] system-config-printer-1.3.12-8.fc18: connection.py:584:call_async:ValueError: Unable to guess signature from an empty list
[abrt] system-config-printer-1.3.12-8.fc18: connection.py:584:call_async:Valu...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cups-pk-helper (Show other bugs)
18
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Marek Kašík
Fedora Extras Quality Assurance
abrt_hash:18f3142b76422a7d3667d0ad1b3...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-13 19:34 EDT by ryan.blacknet
Modified: 2014-02-05 16:21 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:21:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.64 KB, text/plain)
2013-05-13 19:34 EDT, ryan.blacknet
no flags Details
File: core_backtrace (585 bytes, text/plain)
2013-05-13 19:34 EDT, ryan.blacknet
no flags Details
File: environ (1.74 KB, text/plain)
2013-05-13 19:34 EDT, ryan.blacknet
no flags Details

  None (edit)
Description ryan.blacknet 2013-05-13 19:34:15 EDT
Description of problem:
I'm trying to print.  Printed fine two days ago.  Now, print settings have changed.  This is a network attached printer.  Now reporting an LPD PASSTHRU

Version-Release number of selected component:
system-config-printer-1.3.12-8.fc18

Additional info:
cmdline:        /usr/bin/python /usr/share/system-config-printer/system-config-printer.py
dso_list:       dbus-python-1.1.1-3.fc18.i686
executable:     /usr/share/system-config-printer/system-config-printer.py
kernel:         3.8.7-201.fc18.i686.PAE
uid:            1000
ureports_counter: 1

Truncated backtrace:
connection.py:584:call_async:ValueError: Unable to guess signature from an empty list

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 604, in msg_reply_handler
    reply_handler(*message.get_args_list(**get_args_opts))
  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 401, in _introspect_reply_handler
    self._introspect_execute_queue()
  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 387, in _introspect_execute_queue
    proxy_method(*args, **keywords)
  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 137, in __call__
    **keywords)
  File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 584, in call_async
    message.append(signature=signature, *args)
ValueError: Unable to guess signature from an empty list

Local variables in innermost frame:
bus_name: dbus.UTF8String(':1.89')
byte_arrays: False
self: <dbus._dbus.SystemBus (system) at 0x977f95c>
args: (0, 0, ['dnssd', 'snmp', 'bluetooth'], [])
require_main_loop: True
object_path: '/'
signature: None
reply_handler: <bound method _PK1AsyncMethodCall._pk_reply_handler of <asyncpk1._PK1AsyncMethodCall instance at 0x9c5384c>>
error_handler: <bound method _PK1AsyncMethodCall._pk_error_handler of <asyncpk1._PK1AsyncMethodCall instance at 0x9c5384c>>
dbus_interface: 'org.opensuse.CupsPkHelper.Mechanism'
timeout: 3600
kwargs: {}
e: ValueError('Unable to guess signature from an empty list',)
message: <dbus.lowlevel.MethodCallMessage path: /, iface: org.opensuse.CupsPkHelper.Mechanism, member: DevicesGet dest: :1.89>
get_args_opts: {'byte_arrays': False, 'utf8_strings': False}
method: 'DevicesGet'
Comment 1 ryan.blacknet 2013-05-13 19:34:18 EDT
Created attachment 747466 [details]
File: backtrace
Comment 2 ryan.blacknet 2013-05-13 19:34:19 EDT
Created attachment 747467 [details]
File: core_backtrace
Comment 3 ryan.blacknet 2013-05-13 19:34:21 EDT
Created attachment 747468 [details]
File: environ
Comment 4 Tim Waugh 2013-05-21 12:12:57 EDT
It looks like cups-pk-helper gave bad introspection information.  Changing component.
Comment 5 Fedora End Of Life 2013-12-21 08:31:31 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2014-02-05 16:21:24 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.